@rem *******************************************************************************
@rem Licensed Materials - Property of IBM
@rem (c) Copyright IBM Corporation 2011. All Rights Reserved.
@rem
@rem Note to U.S. Government Users Restricted Rights:
@rem Use, duplication or disclosure restricted by GSA ADP Schedule
@rem Contract with IBM Corp. 
@rem *******************************************************************************

@echo off

cd /d "%~dp0..\..\.."
set INSIGHT_DIR=%cd%
cd /d "%~dp0"

set RRDI_DIR=
set SERVER_URL=
set NAMESPACE_ID=
set USER_ID=
set PASSWORD=
set HELP=

set IS_RRDI_DIR=
set IS_SERVER_URL=
set IS_NAMESPACE_ID=
set IS_USER_ID=
set IS_PASSWORD=
set IS_HELP=

:next
if #%0 == # goto end
   call :GET_PARAMS %0
   shift
   goto next
:end

@rem echo RRDI_DIR=%RRDI_DIR%
@rem echo SERVER_URL=%SERVER_URL%
@rem echo NAMESPACE_ID=%NAMESPACE_ID%
@rem echo USER_ID=%USER_ID%
@rem echo PASSWORD=%PASSWORD%

goto :EOF

:GET_PARAMS
if not "%IS_RRDI_DIR%"=="" set RRDI_DIR=%~1
if not "%IS_SERVER_URL%"=="" set SERVER_URL=%~1
if not "%IS_NAMESPACE_ID%"=="" set NAMESPACE_ID=%~1
if not "%IS_USER_ID%"=="" set USER_ID=%~1
if not "%IS_PASSWORD%"=="" set PASSWORD=%~1
set IS_RRDI_DIR=
set IS_SERVER_URL=
set IS_NAMESPACE_ID=
set IS_USER_ID=
set IS_PASSWORD=
if %1==-dir set IS_RRDI_DIR=true
if %1==-url set IS_SERVER_URL=true
if %1==-namespace set IS_NAMESPACE_ID=true
if %1==-user set IS_USER_ID=true
if %1==-password set IS_PASSWORD=true
if %1==-help set HELP="-help"